story1app/urls.py
from django.urls import path

from . import views

app_name = 'story1app'

urlpatterns = [
    path('story1/', views.profile, name='index'),
]

story4app/urls.py
from django.urls import path
from . import views 
app_name = 'story4app'

urlpatterns = [
    path('', views.profile, name='profile'),
    path('profile/', views.index, name='index'),
    path('hobby/', views.hobby,name="hobby"),
]

story4project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story4app.urls')),
    path('', include('story1app.urls')),
    path('story5/', include('story5app.urls')),
]

story5app/urls.py
from django.urls import path

from . import views

app_name = 'story5app'

urlpatterns = [
    path('delete/<int:pk>', views.deleteItem, name='delete'),
    path('detail/<int:pk>', views.detail, name='detail'),
    path('create/', views.create,name='create'),
    path('', views.index, name='index'),
]

story1app/models.py
from django.db import models

# Create your models here.

story4app/models.py
from django.db import models

# Create your models here.

story5app/models.py
from django.db import models

# Create your models here.

class PostModel(models.Model):
    TERM_CHOICES = [
        ('Ganjil', 'Ganjil'),
        ('Genap', 'Genap')
    ]
    YEAR_CHOICES = [
        ('2019/2020', '2019/2020'),
        ('2020/2021', '2020/2021'),
        ('2021/2022', '2021/2022'),
        ('2022/2023', '2022/2023')
    ]
    mata_kuliah = models.CharField(max_length =50)
    dosen = models.CharField(max_length =20)
    sks = models.IntegerField()
    semester = models.CharField(
        max_length=6, 
        choices= TERM_CHOICES,
        default= 'Ganjil')
    tahun = models.CharField(
        max_length=9,
        choices= YEAR_CHOICES,
        default='2019/2020'
    )
    ruang = models.CharField(max_length =20)
    desc = models.TextField()

    published = models.DateTimeField(auto_now_add = True)
    updated = models.DateTimeField(auto_now = True)

    def __str__ (self):
        return self.mata_kuliah
        
        

story5app/forms.py
from django import forms
from .models import PostModel

class PostForm(forms.ModelForm): 
    class Meta:
        model = PostModel
        fields = ('mata_kuliah', 'dosen', 'sks', 'semester','tahun', 'ruang', 'desc')
        widgets = {
            'mata_kuliah' : forms.TextInput(attrs={'class': 'form-control'}),
            'dosen' : forms.TextInput(attrs={'class': 'form-control'}),
            'sks' : forms.NumberInput(attrs={'class': 'form-control'}),
            'semester' : forms.Select(attrs={'class': 'form-control'}),
            'tahun' : forms.Select(attrs={'class': 'form-control'}),
            'ruang' : forms.TextInput(attrs={'class': 'form-control'}),
            'desc' : forms.TextInput(attrs={'class': 'form-control'}),
        }

story1app/views.py
from django.shortcuts import render

# Create your views here.
def profile(request):
    return render (request,'story1/index.html')

story4app/views.py
from django.shortcuts import render

# Create your views here.

def profile(request):
    return render (request,'story4app/profile.html')

def index(request):
    return render (request,'story4app/index.html')

def hobby(request):
    return render (request,'story4app/hobby.html')

story5app/views.py
from django.shortcuts import render,redirect, get_object_or_404
from django.contrib import messages
from django.http import HttpResponseRedirect
from .forms import PostForm
from .models import PostModel

# Create your views here.

# nampilin semua data
def index(request):
    posts = PostModel.objects.all()
    context = {'posts' : posts}
    return render (request, 'story5app/index.html', context)

# buat nambahin data
def create(request):
    post_form = PostForm()
    if request.method == 'POST':
        post_form = PostForm(request.POST)
        if post_form.is_valid():
            post_form.save()
            # return redirect('create')
            return redirect('story5app:index')
            # messages.success(request, ("Mata kuliah berhasil ditambahkan!"))
        else:
            messages.warning(request,("Ulangi."))
            return redirect('story5app:create') 
        
    context = {'post_form' : post_form}
    return render (request, 'story5app/create.html', context)

def detail(request, pk):
    matkul = get_object_or_404(PostModel, id=pk)
    return render(request, 'story5app/detail.html', {'post': matkul})


def deleteItem(request, pk):
    matkul = PostModel.objects.get(id=pk)
    matkul.delete()
    # messages.success(request,(f"Mata Kuliah {matkul} berhasil dihapus."))
    return redirect('story5app:index')

story1app/templates/story1/index.html
<!DOCTYPE html>
<html lang="en">

{% load static %}

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css2?family=Quicksand:wght@700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Dosis:wght@200&family=Inter:wght@200&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'story1/style.css' %}">
    <title>Welcome!</title>
</head>

<body>
    <!-- Hello -->
    <div class="container">
        <div class="col-left">
            <h1>Hello,<br><span></span></h1>
            <h1>My name is <br><span></span></h1>
            <h1>Qonita! <span></span></h1>
        </div>
    </div>
    <!-- About Me -->
    <div class="about-container">
        <div class="col-left">
            <div class="about-img">
                <img src="{% static 'story1/images/qonita.jpg' %}" alt="">
            </div>
        </div>
        <div class="col-right">
            <h1 class="section-title">ABOUT <span style="color:rgb(160, 120, 68)">ME</span></h1>
            <h2 class="section-si">Information System Undergraduate</h2>
            <p class="deskripsi">Seorang visioner kelahiran Februari 2001 pada hari Minggu tanggal 10 yang sedang mencoba membuat website di salah satu mata kuliah yang bernama Perancangan dan Pemrograman Web. Senang berdiskusi, bertukar pikiran, dan bahagia bersama orang
                lain.
            </p>
            <table class="biodata">
                <tr>
                    <td>Nama </td>
                    <td>:</td>
                    <td>Qonita Nur Iffat</td>
                </tr>
                <tr>
                    <td>NPM </td>
                    <td>:</td>
                    <td>1906307233</td>
                </tr>
                <tr>
                    <td>Angkatan </td>
                    <td>:</td>
                    <td>Maung 2019</td>
                </tr>
                <tr>
                    <td>Kuliah </td>
                    <td>:</td>
                    <td>Sistem Informasi UI</td>
                </tr>
                <tr>
                    <td>Hobi </td>
                    <td>:</td>
                    <td>Menuntut Ilmu</td>
                </tr>
            </table>
        </div>
    </div>
    <div class="pendidikan-container">
        <h1 class="riwayat"> RIWAYAT PENDIDIKAN</h1>
        <table id="riwayat-pendidikan">
            <tr class="kuliah">
                <td>
                    <h1>Universitas Indonesia</h1>
                </td>
                <td>: 2019 - sekarang</td>
            </tr>
            <tr class="sma">
                <td>
                    <h1>SMA Negeri 28 Jakarta</h1>
                </td>
                <td>: 2016 - 2019</td>
            </tr>
            <tr class="smp">
                <td>
                    <h1>SMP Negeri 107 Jakarta</h1>
                </td>
                <td>: 2013 - 2016</td>
            </tr>
            <tr class="sd">
                <td>
                    <h1>SDN Pasar Minggu 01 Pagi Jakarta</h1>
                </td>
                <td>: 2011 - 2013</td>
            </tr>
        </table>
    </div>
    <div class="icon">
        <table class="table-icon">
            <td>
                <a href="https://mail.google.com/mail/u/0/#inbox"><img class="sossmed" src="{% static 'story1/images/gmail.png' %}" alt=""></a>
            </td>
            <td>
                <a href="https://www.instagram.com/qonitaktshhn/"><img class="sossmed" src="{% static 'story1/images/instagram.png' %}" alt=""></a>
            </td>
            <td>
                <a href="https://twitter.com/qwonsz"><img class="sossmed" src="{% static 'story1/images/twitter.png' %}" alt=""></a>
            </td>
            <td>
                <a href="https://www.linkedin.com/in/qonita-nur-iffat/"><img class="sossmed" src="{% static 'story1/images/linkedin.png' %}" alt=""></a>
            </td>
        </table>
    </div>
</body>

</html>
<!-- This is a comment -->

story4app/templates/story4app/base.html
<!DOCTYPE html>
<html lang="en">

{% load static %}

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'story4app/style.css' %}">
    <link href="https://fonts.googleapis.com/css2?family=Quicksand:wght@700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Inter&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
    <title>My Website</title>
</head>

<body>

    <nav class="navbar fixed-top navbar navbar-expand-lg navbar-dark " style="background-color:#1C2D45">
        <a class="navbar-brand" style="font-size: 2.5rem; font-weight: bolder;" href="#"><span style="color:rgb(187, 162, 130)">Q</span>onita</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" style="justify-content: flex-end;" id="navbarNavDropdown">
            <ul class="navbar-nav">
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'story4app:profile' %}">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'story4app:index' %}#pendidikan">Education</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'story4app:index' %}#experience">Experience</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'story4app:hobby' %}">Hobby</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'story1app:index' %}">Story 1</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'story4app:index' %}#footer">Contacts</a>
                </li>
            </ul>
        </div>
    </nav>
    {% block content %} {% endblock %}
</body>

</html>

story4app/templates/story4app/hobby.html
{% extends 'story4app/base.html'%} {% load static %} {% block content %}
<!-- experience Section -->
<section id="hobby">
    <div class="hobby container">
        <div class="hobby-top">
            <h1 class="section-title">MY<span style="color:#182338"> HOBBY</span></h1>
        </div>
        <div class="hobby-bottom">
            <div class="hobby-item">
                <div class="icon"><img src="{% static 'story4app/images/yoga.png' %}" /></div>
                <div class="name">
                    <h2>Workout</h2>
                </div>
            </div>
            <div class="hobby-item">
                <div class="icon"><img src="{% static 'story4app/images/team.png' %}" /></div>
                <div class="name">
                    <h2>Looking For Money</h2>
                </div>
            </div>
            <div class="hobby-item">
                <div class="icon"><img src="{% static 'story4app/images/read.png' %}" /></div>
                <div class="name">
                    <h2>Studying</h2>
                </div>
            </div>
            <div class="hobby-item">
                <div class="icon"><img src="{% static 'story4app/images/meeting.png' %}" /></div>
                <div class="name">
                    <h2>Talking With Others</h2>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End hobby Section -->

<!-- Footer -->
<section id="footer">
    <div class="footer container">
        <h2>Social Media</h2>
        <div class="social-icon">
            <div class="social-item">
                <a href="#"><img src="https://img.icons8.com/bubbles/100/000000/facebook-new.png" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="https://img.icons8.com/bubbles/100/000000/instagram-new.png" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="https://img.icons8.com/bubbles/100/000000/twitter.png" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="{% static 'story4app/images/linkedin.png' %}" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="{% static 'story4app/images/new-post.png' %}" /></a>
            </div>
        </div>
        <p>Copyright © 2020 Qonita. All rights reserved</p>
    </div>
</section>
<!-- End Footer -->
{% endblock %}

story4app/templates/story4app/index.html
{% extends 'story4app/base.html'%} {% load static %} {% block content %}
<!-- About Section -->
<section id="about">
    <div class="about container">
        <div class="col-left">
            <div class="about-img">
                <img src="{% static 'story4app/images/qonita.jpg' %}" alt="img">
            </div>
        </div>
        <div class="col-right">
            <h1 class="section-title">ABOUT <span style="color:rgb(160, 120, 68)">ME</span></h1>
            <h2>Information System Undergraduate</h2>
            <p>Mahasiswa semester 3 Sistem Informasi, Fakultas Ilmu Komputer, Universitas Indonesia dengan kemampuan berbicara yang cukup baik akibat sudah terlampau sering berkecimpung di dunia perhumasan. Bisa dibilang sangat supel, mudah diajak bicara
                dan sama sekali tidak kaku bila berinteraksi dengan orang baru</p>
        </div>
    </div>
</section>
<!-- End About Section -->

<!-- Pendidikan Section -->
<section id="pendidikan">
    <div class="pendidikan container">
        <div class="pendidikan-top">
            <h1 class="section-title">RIWAYAT<span> PENDIDIKAN</span></h1>
        </div>
        <div class="pendidikan-bottom d-flex">
            <div class="pendidikan-item">
                <div class="icon"><img src="{% static 'story4app/images/book.png' %}" /></div>
                <h2>Univeritas Indonesia</h2>
                <p>Sistem Informasi</p>
                <p>Jakarta</p>
                <p>2019 - Sekarang</p>
            </div>
            <div class="pendidikan-item">
                <div class="icon"><img src="{% static 'story4app/images/graduated.png' %}" /></div>
                <h2>SMA Negeri 28</h2>
                <p>Jakarta</p>
                <p>2016 - 2019</p>
            </div>
            <div class="pendidikan-item">
                <div class="icon"><img src="{% static 'story4app/images/graduated.png' %}" /></div>
                <h2>SMP Negeri 107</h2>
                <p>Jakarta</p>
                <p>2013 - 2016</p>
            </div>
            <div class="pendidikan-item">
                <div class="icon"><img src="{% static 'story4app/images/graduated.png' %}" /></div>
                <h2>SD Negeri Pasar Minggu 01 Pagi</h2>
                <p>Jakarta</p>
                <p>2013 - 2016</p>
            </div>
        </div>
    </div>
</section>
<!-- End Service Section -->

<!-- Projects Section -->
<section id="projects">
    <div class="projects container">
        <div class="projects-header">
            <h1 class="section-title">Recent <span>Projects</span></h1>
        </div>
        <div class="all-projects">
            <div class="project-item">
                <div class="project-info">
                    <h1>Project</h1>
                    <p>Project pertama saya adalah membuat simulator covid menggunakan GUI pada java. Project ini dilakukan saat Tugas Pemograman 3 pada mata kuliah Dasar-Dasar Pemograman 2. </p>
                </div>
                <div class="project-img">
                    <img class="projek" src="{% static 'story4app/images/project.png' %}" alt="img">
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End Projects Section -->

<!-- experience Section -->
<section id="experience">
    <div class="experience container">
        <div class="experience-top">
            <h1 class="section-title">EX<span>PERIENCE</span></h1>
        </div>
        <div class="experience-bottom">
            <div class="experience-item">
                <div class="icon"><img src="{% static 'story4app/images/logo-bem.png' %}" /></div>
                <div class="name">
                    <h2>Public Relations Staff</h2>
                    <p>BEM Fasilkom</p>
                </div>
            </div>
            <div class="experience-item">
                <div class="icon"><img src="{% static 'story4app/images/logo-oh.png' %}" /></div>
                <div class="name">
                    <h2>PIC of Public Relations</h2>
                    <p>Open House Fasilkom UI</p>
                </div>

            </div>
            <div class="experience-item">
                <div class="icon"><img src="{% static 'story4app/images/logo-cf.png' %}" /></div>
                <div class="name">
                    <h2>HRD of Digital Marketing</h2>
                    <p>COMPFEST</p>
                </div>

            </div>
        </div>
    </div>
</section>
<!-- End experience Section -->

<!-- Skills Section -->
<section id="skill">
    <div class="skill container">
        <div class="skill-top">
            <h1 class="section-title">SK<span>ILLS</span></h1>
        </div>
        <div class="skill-bottom">
            <div class="skill-item">
                <p>Communication</p>
                <div class="icon"><img src="{% static 'story4app/images/skill-com.png' %}" /></div>
            </div>
            <div class="skill-item">
                <p>Public Speaking</p>
                <div class="icon"><img src="{% static 'story4app/images/skill-pr.png' %}" /></div>
            </div>
            <div class="skill-item">
                <p>Problem Solving</p>
                <div class="icon"><img src="{% static 'story4app/images/skill-ps.png' %}" /></div>
            </div>
            <div class="skill-item">
                <p>Java</p>
                <div class="icon"><img src="{% static 'story4app/images/skill-java.png' %}" /></div>
            </div>
        </div>
    </div>
</section>
<!-- End Skills Section -->

<!-- Footer -->
<section id="footer">
    <div class="footer container">
        <div class="brand">
            <!-- <h1><span>Q</span>onita </h1> -->
        </div>
        <h2>Social Media</h2>
        <div class="social-icon">
            <div class="social-item">
                <a href="#"><img src="https://img.icons8.com/bubbles/100/000000/facebook-new.png" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="https://img.icons8.com/bubbles/100/000000/instagram-new.png" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="https://img.icons8.com/bubbles/100/000000/twitter.png" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="{% static 'story4app/images/linkedin.png' %}" /></a>
            </div>
            <div class="social-item">
                <a href="#"><img src="{% static 'story4app/images/new-post.png' %}" /></a>
            </div>
        </div>
        <p>Copyright © 2020 Qonita. All rights reserved</p>
    </div>
</section>
<!-- End Footer -->
{% endblock %}

story4app/templates/story4app/profile.html
{% extends 'story4app/base.html'%} {% load static %} {% block content %}
<!-- Hero Section  -->
<section id="home">
    <div class="home container">
        <div class="hello">
            <h1>Hello, <span></span></h1>
            <h1>My Name is <span></span></h1>
            <h1>Qonita <span></span></h1>
            <a href="{% url 'story4app:index' %}" type="button" class="cta">View More</a>
            <!-- <div class="btn-item">
                    <a href="#about"><img src="Start.png" /></a> -->
        </div>
    </div>
    </div>
</section>
<!-- End Hero Section  -->
{% endblock %}

story5app/templates/story5app/base.html
{% load static %}

<!DOCTYPE html>
<html>

<head>
    <title>
        {% block page_title %} {% endblock page_title %}
    </title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'story5app/style.css' %}">

</head>

<body>
    {% block contents %}
    {% endblock contents %}

    {% block posts %}
    {% endblock posts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>

</body>

</html>

story5app/templates/story5app/create.html
{% extends 'story5app/base.html' %} {% block page_title %} {{page_title}} {% endblock page_title %} {% block contents %}
<style>
    body {
        background-color: #182338;
        color: blanchedalmond;
    }
    
    label {
        color: #EDE5D1;
        font-size: 24px;
    }
</style>
<div class="container">
    {% if messages %} {% for message in messages %}
    <div class="alert alert-{{ message.tags }} alert-dismissible fade show mt-4" role="alert">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
    </div>
    {% endfor %} {% endif %}
    <div class="section-title mx-auto text-center p-5">
        <h1>Tambah Mata Kuliah</h1>
    </div>

    <section class="container-fluid d-flex flex-wrap align-content-center ">
        <form method="post" novalidate>
            {% csrf_token %}
            <table class="table ">
                {{ post_form.as_table }}
                <tr>
                    <td>&nbsp;</td>
                    <td>
                        <p style="text-align: right;">
                            <a href="{% url 'story5app:index' %}" class="tambah " style="background-color: beige; color: #182338; margin-right: 10px;">Back</a>
                            <input type="submit" value="Add" class="tambah" />
                        </p>
                    </td>
                </tr>
            </table>
        </form>
    </section>
</div>
{% endblock contents %}

story5app/templates/story5app/detail.html
{% extends 'story5app/base.html' %} {% block page_title %} {{page_title}} {% endblock page_title %}{% block contents %}


<div class="bottom">
    <div class="outer">
        <h2 style="color: #182338; margin-top: -20px;">MATA KULIAH</h2>
        <div class="post" style="color: #182338; text-align: left;">
            <hr style="width:100%; color: #182338;margin-top: -20px; margin-bottom: 20px; font-weight: 400;">
            <div class="container">
                <div class="row" style=" justify-content: center;">
                    <div class="col-2" style=" padding-right: 20px;">Mata Kuliah</div>
                    <div class=" col-2">: <span class="badge badge-pill badge-light" style="background-color: #182338; color: beige;min-width: 100px;">{{ post.mata_kuliah }}</span></div>
                    <div class="w-100 "></div>
                    <div class="col-2 ">Semester</div>
                    <div class="col-2 ">: <span class="badge badge-pill badge-light" style="background-color: #182338; color: beige;min-width: 100px;">{{ post.semester }}</span></div>
                    <div class="w-100 "></div>
                    <div class="col-2 ">Dosen</div>
                    <div class="col-2 ">: <span class="badge badge-pill badge-light" style="background-color: #182338; color: beige;min-width: 100px;">{{ post.dosen }}</span></div>
                    <div class="w-100 "></div>
                    <div class="col-2 ">SKS</div>
                    <div class="col-2">: <span class="badge badge-pill badge-light" style="background-color: #182338; color: beige;min-width: 100px;">{{ post.sks }}</span></div>
                    <div class="w-100 "></div>
                    <div class="col-2 ">Ruang</div>
                    <div class="col-2">: <span class="badge badge-pill badge-light" style="background-color: #182338; color: beige;min-width: 100px;">{{ post.ruang }}</span></div>
                    <div class="w-100 "></div>
                    <div class="col-2 ">Deskripsi</div>
                    <div class="col-2">: <span class="badge badge-pill badge-light" style="background-color: #182338; color: beige;min-width: 100px;">{{ post.desc }}</span></div>
                </div>
            </div>
        </div>
        <div style="margin-top: 2rem; ">
            <a href="{% url 'story5app:index' %} " class="tambah " style="padding: 0.5rem 2.0rem;">Back</a>
        </div>
    </div>

</div>
<!-- </div> -->
{% endblock contents %}

story5app/templates/story5app/index.html
{% extends 'story5app/base.html' %} {% block page_title %} {{page_title}} {% endblock page_title %} {% block posts %} {% load static %}
<div class="bottom">
    <div class="outer">
        <h2 style="color: #182338;">DAFTAR MATA KULIAH</h2>
        <div class="kartu">
            {% if posts|length == 0 %}
            <h6 style="color:#182338;"><u>Belum ada mata kuliah yang terdaftar.</u></h6>
            {% else %} {% for post in posts %}
            <div class="card" style="border-radius: 20px; margin : 4px; background-color: #182338;">
                <div class="card-body" style="background-color:#eeeeee;border-radius:20px; border-color: #182338;">
                    <div class="kartu-title" style="width: 20vw; height: 2vw;display: flex">
                        <h5 class="card-title" style="margin-right: 5px;">{{post.mata_kuliah}}</h5>
                        <div class="kartu-text" style="display: flex;">
                            <p class=" card-text " style="margin-left: 25px;">{{post.tahun}}</p>
                            <p class="card-text " style="margin-left: 25px; margin-top: -20px;">{{post.semester}}</p>
                        </div>

                    </div>
                    <div style=" display: flex;justify-content: center;align-items: center; ">
                        <a href="{% url 'story5app:detail' post.id %} " class="tambah " style="border-radius: 10px; margin-right: 5px;padding: 0.5rem 1.6rem; font-size: 10px;background-color: rgb(18, 70, 83);">Details</a>
                        <a href=" {% url 'story5app:delete' post.id %} " class="tambah " style="border-radius: 50px;padding: 0.5rem 1rem; font-size: 10px; background-color: rgb(143, 97, 104);"> x </a>
                    </div>
                </div>
            </div>
            <!-- </div> -->
            {% endfor %} {% endif %}
        </div>
        <div style="margin-top: 2rem; ">
            <a href="{% url 'story5app:create' %} " class="tambah ">Create</a>
        </div>
    </div>
</div>
{% endblock posts %}